#!/usr/bin/env python3

import argparse
from . import fieldpoc

ap = argparse.ArgumentParser(prog="fieldpoc")
ap.add_argument("-c", "--config", dest="config_file_path", default="fieldpoc_config.json", help="Path to the fieldpoc config file")
ap.add_argument("-e", "--extensions", dest="extensions_file_path", default="fieldpoc_extensions.json", help="Path to the fieldpoc extensions file")

def run():
    args = ap.parse_args()
    fp = fieldpoc.FieldPOC(**args.__dict__)
    fp.run()

if __name__ == "__main__":
    run()
